SQ_GetAgents

View as Markdown

Gets agents.

Example request: Get all agents with their current statuses.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

sq_queue_idlist of integersOptional

List of SmartQueue IDs separated by semicolons (;). Use ‘all’ to select all the queues

sq_queue_namelist of stringsOptional

List of SmartQueue names separated by semicolons (;). Can be used instead of sq_queue_id

excluded_sq_queue_idintegerOptional
ID of the SmartQueue to exclude
excluded_sq_queue_namestringOptional

Name of the SmartQueue to exclude. Can be used instead of excluded_sq_queue_id

sq_skillsmap from strings to anyOptional

Skills to filter in the json array format. The array should contain objects with the sq_skill_id/sq_skill_name, min_sq_skill_level, and max_sq_skill_level keys where skill levels range from 1 to 5

user_idlist of integersOptional

List of user IDs separated by semicolons (;)

user_namelist of stringsOptional

List of user names separated by semicolons (;). Can be used instead of user_id

user_name_templatestringOptional
Substring of the user name to filter
sq_statusesmap from strings to anyOptional
Filter statuses in the json array format. The array should contain objects with the **sq_status_type** and **sq_status_name** keys. Possible values for **sq_status_type** are 'CALL' and 'IM'. Possible values for **sq_status_name** are 'OFFLINE', 'ONLINE', 'READY', 'IN_SERVICE', 'AFTER_SERVICE', 'DND'
with_sq_skillsbooleanOptionalDefaults to false
Whether to display agent skills
with_sq_queuesbooleanOptionalDefaults to false
Whether to display agent queues
with_sq_statusesbooleanOptionalDefaults to false
Whether to display agent current statuses
countintegerOptionalDefaults to 20
Number of items to show in the output
offsetintegerOptionalDefaults to 0
Number of items to skip in the output
handle_callsbooleanRequired

Whether the agent can handle calls. When set to false, the agent is excluded from the CALL-request distribution

Response

Successful response
resultlist of objects

The found agent(s)

countinteger
total_countinteger